# Workaround for epel versions where don't exists python2 macro
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}

Name:           tweepy
Version:        2.3.0
Release:        3%{?dist}
Summary:        Twitter library for python
Source0:        http://pypi.python.org/packages/source/t/%{name}/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/tweepy/tweepy/master/LICENSE
Source2:        https://raw.githubusercontent.com/tweepy/tweepy/master/README.md
License:        MIT
Group:          Development/Libraries
URL:            http://pypi.python.org/pypi/tweepy/
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools python-simplejson
Requires:       python-simplejson

%description
A library for accessing the Twitter.com API. Supports OAuth, covers the
entire API, and streaming API.

%prep
%setup -q -n %{name}-%{version}
cp -a %{SOURCE1} %{SOURCE2} .

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc README.md LICENSE
%{python2_sitelib}/%{name}
%{python2_sitelib}/examples
%{python2_sitelib}/%{name}-*.egg-info

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Eduardo Echeverria <echevemaster@gmail.com> - 2.3.0-1
- Updated to the latest version.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 rtnpro <rtnpro@gmail.com> 2.0-1
- Update to tweepy v2.0

* Mon Feb 21 2011 rtnpro <rtnpro@gmail.com> 1.7.1-3
- Added LICENSE, removed unnecessary macros

* Sat Feb 05 2011 rtnpro <rtnpro@gmail.com> 1.7.1-2
- Some fixes in the SPEC file

* Fri Feb 04 2011 rtnpro <rtnpro@gmail.com> 1.7.1-1
- Intial RPM package for tweepy
